#ifndef csnowparticle_h
#define csnowparticle_h

#include "ForwardDeclarations.h"
#include "cVector.h"
#include "OGLPlatformSpecific.h"
#include "cIntersectionResult.h"
#include "cStaticTriangleMesh.h"
#include "cTriangle.h"
#include "cBoundingBox.h"
#include "cParticleSystem.h"
#include "cParticle.h"
#include <vector>

class cSnowParticle : public cParticle
{
public:
    cSnowParticle(cParticleSystem* ps);
    
    void update(float dt);
    
    void draw();
    
    float size_;

private:
    float uniqueness_; // each firefly is uniquely determine by this number
};

#endif